<template>
  <div id="text-with-map">
    <slot></slot>
  </div>
</template>

<script>
export default {
  props: ["countrycodes"],
  mounted() {
    let countryCodes = this.countrycodes.split(",").map(code => code.trim());
    for(var i=0;i<countryCodes.length;i++){
        var cc = countryCodes[i];
        $('#text-with-map path#' + cc).addClass("active");
    }
  }
};
</script>